#ifndef __QBCCPP_H__
#define __QBCCPP_H__



extern int VarType;
extern char *stringconst;
extern char *yytext;
extern FILE *yyin;
extern FILE *outfile;

#define TRUE	-1
#define FALSE	0

#define VERSION	"0.1"
//#define _DEV_						// Developer edition

// Prototypes
void ShowQBPPHeader(void);
int Initialize(void);
int ShutDown(void);
int CheckParameters(int argc, char *argv[]);


// Define Structure
typedef struct define_s define_t;
struct define_s {
	char name[81];
	char repl[4096];

	define_t *next;
	define_t *prev;
};


#endif  //  __QBCCPP_H__